## org.eclipse.ocl.expressions
Interface AssociationClassCallExp<C,P>

All Superinterfaces:
  ASTNode, CallExp<C>, CallingASTNode, EObject, FeatureCallExp<C>, NavigationCallExp<C,P>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  AssociationClassCallExp

All Known Implementing Classes:
  AssociationClassCallExpImpl, AssociationClassCallExpImpl

    public interface AssociationClassCallExp<C,P>

extends NavigationCallExp<C,P>

A representation of the model object 'Association Class Call Exp'.

The following features are supported:

- `Referred Association Class`

See Also:
  `ExpressionsPackage.getAssociationClassCallExp()`

Method Summary
`C` `getReferredAssociationClass()` Returns the value of the 'Referred Association Class' reference
`void` `setReferredAssociationClass(C value)` Sets the value of the '`Referred Association Class`' reference

Methods inherited from interface org.eclipse.ocl.expressions.NavigationCallExp
`getNavigationSource, getQualifier, setNavigationSource`

Methods inherited from interface org.eclipse.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferredAssociationClass

    C getReferredAssociationClass()

  Returns the value of the 'Referred Association Class' reference.

  If the meaning of the 'Referred Association Class' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Association Class' reference.
  See Also:
    `setReferredAssociationClass(Object)`, `ExpressionsPackage.getAssociationClassCallExp_ReferredAssociationClass()`

### setReferredAssociationClass

    void setReferredAssociationClass(C value)

  Sets the value of the '`Referred Association Class`' reference.

  Parameters:
    `value` - the new value of the 'Referred Association Class' reference.
  See Also:
    `getReferredAssociationClass()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.